Passer au contenu principal
POST
/
midjourney
/
tasks
Operate the tasks on the generated image.
curl --request POST \
  --url https://api.acedata.cloud/midjourney/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "retrieve",
  "id": "<string>",
  "trace_id": "<string>",
  "ids": [
    "<string>"
  ],
  "trace_ids": [
    "<string>"
  ],
  "offset": 0,
  "limit": 12
}
'
import requests

url = "https://api.acedata.cloud/midjourney/tasks"

payload = {
"action": "retrieve",
"id": "<string>",
"trace_id": "<string>",
"ids": ["<string>"],
"trace_ids": ["<string>"],
"offset": 0,
"limit": 12
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'retrieve',
id: '<string>',
trace_id: '<string>',
ids: ['<string>'],
trace_ids: ['<string>'],
offset: 0,
limit: 12
})
};

fetch('https://api.acedata.cloud/midjourney/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "42b2ab0f-5676-453b-bd23-9ee001b888ae",
  "_id": "65ede215550a4144a5fcebac",
  "mode": "turbo",
  "email": "melbamohammadz@hotmail.com",
  "request": {
    "mode": "turbo",
    "action": null,
    "prompt": "A cat sitting on a table",
    "stream": false,
    "timeout": null,
    "version": "1.0",
    "image_id": null,
    "trace_id": "b0a683a4-aecc-450d-849e-c9f0730826a2",
    "check_image": null,
    "retry_times": null,
    "translation": null,
    "callback_url": null,
    "check_prompt": null,
    "image_origin": null,
    "application_id": "e2ee38ba-19ea-4da9-9f3f-4f8567d19feb"
  },
  "duration": 15.029000043869019,
  "response": {
    "actions": [
      "upscale1",
      "upscale2",
      "upscale3",
      "upscale4",
      "reroll",
      "variation1",
      "variation2",
      "variation3",
      "variation4"
    ],
    "success": true,
    "task_id": "42b2ab0f-5676-453b-bd23-9ee001b888ae",
    "image_id": "1216425082772131840",
    "progress": 100,
    "image_url": "https://cdn.acedata.cloud/8c5b69a6e0.png",
    "image_width": 1024,
    "image_height": 1024,
    "raw_image_url": "https://cdn.acedata.cloud/8c5b69a6e0.png",
    "raw_image_width": 2048,
    "raw_image_height": 2048
  },
  "created_at": 1710088725.063,
  "started_at": 1710088725.069,
  "finished_at": 1710088740.098,
  "application_id": "e2ee38ba-19ea-4da9-9f3f-4f8567d19feb"
}
{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

Autorisations

Authorization
string
header
requis

En-têtes

accept
enum<string>

Midjourney Tasks Param Accept

Options disponibles:
application/json

Corps

application/json
action
enum<string>
défaut:retrieve

Midjourney Tasks Action

Options disponibles:
retrieve,
retrieve_batch
id
string

Midjourney Tasks Id

trace_id
string

Midjourney Tasks Trace Id

ids
string[]

Midjourney Tasks Ids

trace_ids
string[]

Midjourney Tasks Trace Ids

offset
integer
défaut:0

Midjourney Tasks Offset

limit
integer
défaut:12

Midjourney Tasks Limit

Réponse

Midjourney Tasks Response 200

id
string

Midjourney Tasks Response 200 Id

request
object

Midjourney Tasks Response 200 Request

response
object

Midjourney Tasks Response 200 Response